org.bouncycastle.jce.spec

## Class ECPublicKeySpec

- java.lang.Object
- - org.bouncycastle.jce.spec.ECKeySpec
  - - org.bouncycastle.jce.spec.ECPublicKeySpec

All Implemented Interfaces:
  java.security.spec.KeySpec

    public class ECPublicKeySpec
    extends ECKeySpec

Elliptic Curve public key specification

### Constructor Summary

Constructors
Constructor and Description
`ECPublicKeySpec(org.bouncycastle.math.ec.ECPoint q, ECParameterSpec spec)` base constructor

### Method Summary

Methods
`org.bouncycastle.math.ec.ECPoint` `getQ()` return the public point q

### Methods inherited from class org.bouncycastle.jce.spec.ECKeySpec

`getParams`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ECPublicKeySpec

    public ECPublicKeySpec(org.bouncycastle.math.ec.ECPoint q,
                   ECParameterSpec spec)

base constructor

Parameters:
  `q` - the public point on the curve.
  `spec` - the domain parameters for the curve.

### Method Detail

#### getQ

    public org.bouncycastle.math.ec.ECPoint getQ()

return the public point q